Subject: APK cache sync

From: Kevin Garman <[email-masked]>
Date: Wed, 19 Jun 2024 15:35:12 +0000

Hi,

I'm having a problem where in my apk cache I have three APKINDEX files (APKINDEX.693971e5.tar.gz, APKINDEX.b2c94760.tar.gz, APKINDEX.d8d24808.tar.gz) and everything is working.  If I run "apk cache -v sync" I see that APKINDEX.b2c94760.tar.gz gets deleted.  Then if I reboot, the boot hangs with:

SYSLINUX 6.04 EDD 6.04-pre1 Copyright (C) 1994-2015 H. Peter Anvin et al
boot:

can't run '/sbin/openrc': No such file or directory
can't run '/sbin/openrc': No such file or directory
can't run '/sbin/openrc': No such file or directory
 
(none) login:

...at this point I can do nothing, but if I reboot from a bootable media and restore that deleted APKINDEX file from a backup, then it will boot up and run fine again.

Any thoughts on what's happening?

Thanks,
Kevin